osl::PtypeTraits< KING > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =KING
static const Ptype | basicType =KING
static const int | indexMin =30
static const int | indexLimit =32
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const int | moveMask

## Detailed Description

Definition at line 269 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< KING >::csaName | ( |  | ) |

inline static

Definition at line 277 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< KING >::name | ( |  | ) |

inline static

Definition at line 276 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< KING >::basicType =KING

static

Definition at line 275 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< KING >::betterToPromote =false

static

Definition at line 273 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< KING >::canPromote =false

static

Definition at line 272 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< KING >::dropBlackFromY =1

static

Definition at line 280 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< KING >::dropBlackToY =9

static

Definition at line 281 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< KING >::indexLimit =32

static

Definition at line 279 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< KING >::indexMin =30

static

Definition at line 278 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< KING >::isBasic =true

static

Definition at line 271 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< KING >::moveMask

static

Initial value:
=
DirectionTraits<U>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask
|DirectionTraits<UL>::mask|DirectionTraits<UR>::mask
|DirectionTraits<DL>::mask|DirectionTraits<DR>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 282 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< KING >::moveType =KING

static

Definition at line 274 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h